
QGIS Application - Bug report #7634

QGIS master crashes on Windows 7

2013-04-17 08:57 AM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 16556

Description

Every time I hit the Add Vector layer on an empty project it crashes after I hit the browse button, the work around is to create a new

shapefile and then it works. No idea what this would happen but it shouldn't

History

#1 - 2013-04-17 09:02 AM - Giovanni Manghi

if confirmed this must me tagged as blocker, thanks!

#2 - 2013-04-17 09:19 AM - Jürgen Fischer

not reproducable here.

#3 - 2013-04-17 09:31 AM - Antonio Locandro

I am using OSGEO4W to install, if not reproducable on your parte Jurgen do you know what should I do to fix my installation?

#4 - 2013-04-17 09:42 AM - Jürgen Fischer

Antonio Locandro wrote:

I am using OSGEO4W to install, if not reproducable on your parte Jurgen do you know what should I do to fix my installation?

Not really, but DebugView might produce output sheds some light.

#5 - 2013-04-17 12:23 PM - Antonio Locandro

- File qgis.log added

Ok so I used the Debugview, but have absolutely no clue what to look for so I attached the log maybe someone with a keen eye can help

#6 - 2013-04-17 12:53 PM - Jürgen Fischer
http://technet.microsoft.com/en-us/sysinternals/bb896647.aspx


Antonio Locandro wrote:

Ok so I used the Debugview, but have absolutely no clue what to look for so I attached the log maybe someone with a keen eye can help

Thanks, unfortunately nothing stands out.  I suppose a log from a run with creating a shapefile before the hitting "browse" would also show anything useful.

 Do you have mapped network drives or any other special disk devices - or maybe recently removed any?

#7 - 2013-04-17 01:02 PM - Antonio Locandro

- File qgis_log2.LOG added

- File qgis_log3.LOG added

Ok qgis_log2 is creating first the shapefile, then it works ok

qgis_log3 is opening master again and just hit the add vector dialog then it works ok

It seems to be random crash after you create a shapefile, sometimes it works sometimes it crashes.

I do have do folders mapped as networks but do no work on them with QGIS for now

#8 - 2013-04-17 01:23 PM - Jürgen Fischer

Try without any third party plugins, please.

#9 - 2013-04-30 08:25 AM - Antonio Locandro

Just letting you know it apparently works ok now, no problems for the last 2 days

#10 - 2013-06-28 01:16 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

reopen if necessary.

Files

qgis.log 51.2 KB 2013-04-17 Antonio Locandro

qgis_log2.LOG 89 KB 2013-04-17 Antonio Locandro

qgis_log3.LOG 64.4 KB 2013-04-17 Antonio Locandro
